## sway-contrib 1.10.1

=== requirements.txt ===
i3ipc

=== grimpicker/Makefile ===
PKGNAME = "grimpicker"
DESTDIR ?= ""
PREFIX ?= "/usr"

.PHONY: build install

build:
	scdoc <"${PKGNAME}.1.scd" >"${PKGNAME}.1"

install:
	# Not installing zsh completion here as its destination depends on the distribution
	install -D -m 755 "${PKGNAME}" "${DESTDIR}${PREFIX}/bin/${PKGNAME}"
	install -D -m 644 "completion.bash" "${DESTDIR}${PREFIX}/share/bash-completion/completions/${PKGNAME}"
	install -D -m 644 "completion.fish" "${DESTDIR}${PREFIX}/share/fish/vendor_completions.d/${PKGNAME}.fish"
	install -D -m 644 "${PKGNAME}.1" "${DESTDIR}${PREFIX}/share/man/man1/${PKGNAME}.1"

## sway-contrib 1.8.1+20240128

=== debian/changelog ===
sway-contrib (1.8.1+20240128-1) unstable; urgency=medium

  * Initial release. (Closes: #1059355)

 -- Birger Schacht <birger@debian.org>  Sun, 28 Jan 2024 10:11:30 +0100

=== debian/control ===
Source: sway-contrib
Section: x11
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               scdoc,
Standards-Version: 4.6.2
Homepage: https://github.com/OctopusET/sway-contrib/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/sway-contrib.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/sway-contrib

Package: grimshot
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, grim, slurp, sway, wl-clipboard, jq, libnotify-bin
Description: Easy to use screenshot tool for sway
 grimshot is a shell helper for creating screenshot in sway. It uses the
 grim screenshot utility some other small tools like slurp, wl-copy and jq.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@


override_dh_auto_build:
	dh_auto_build
	scdoc < grimshot.1.scd > grimshot.1

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/," \
 https://github.com/OctopusET/sway-contrib refs/tags/v?(\d\S+)

## sway-contrib 1.9-contrib.0

=== debian/changelog ===
sway-contrib (1.9-contrib.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: replace Build-Depends: pkg-config with pkgconf

 -- Birger Schacht <birger@debian.org>  Fri, 26 Apr 2024 11:25:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                scdoc,
 Standards-Version: 4.6.2
 Homepage: https://github.com/OctopusET/sway-contrib/

## sway-contrib 1.10-contrib.0

=== debian/changelog ===
sway-contrib (1.10-contrib.0-1) unstable; urgency=medium

  * New upstream release
  * Update paths in d/grimshot.install
  * Add bash-completion to grimshot package

 -- Birger Schacht <birger@debian.org>  Tue, 31 Dec 2024 14:25:34 +0100

## sway-contrib 1.10.1

=== debian/changelog ===
sway-contrib (1.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1094832)

 -- Birger Schacht <birger@debian.org>  Sat, 08 Feb 2025 12:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               bash-completion,
                pkgconf,
                scdoc,
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with bash-completion


override_dh_auto_build:
	dh_auto_build
	scdoc < grimshot/grimshot.1.scd > grimshot/grimshot.1
